
.nav-item.dropdown:hover .dropdown-menu {
  display: block;
}
.dropdown-item:hover {
  color: blue; /* Change text color to blue on hover */
  background-color: transparent; 
}

/* Default styles for larger screens */
.dropdown-menu {
    min-width: 700px; /* Minimum width for laptop view */
    max-height: 300px; /* Set a max height */
    font-size: 12px; /* Set font size */
    overflow: auto; /* Allow scrolling */
}

/* Custom scrollbar for WebKit browsers */
.dropdown-menu::-webkit-scrollbar {
    width: 6px; /* Thin scrollbar width */
}

/* Track */
.dropdown-menu::-webkit-scrollbar-track {
    background: #f1f1f1; /* Track color */
}

/* Handle */
.dropdown-menu::-webkit-scrollbar-thumb {
    background: #888; /* Handle color */
    border-radius: 10px; /* Rounded handle */
}

/* Handle on hover */
.dropdown-menu::-webkit-scrollbar-thumb:hover {
    background: #555; /* Darker handle on hover */
}



/* Styles for mobile view */
@media (max-width: 700px) {
    .dropdown-menu {
        min-width: 100%; /* Full width on mobile */
        /*max-height: none; */
        max-height: 300px; /* Set a max height for scrolling */
        overflow-y: auto; /* Enable vertical scrolling */
        overflow-x: hidden; /* Prevent horizontal scrolling */
    }

    .dropdown-menu .row {
        flex-direction: column; /* Stack columns vertically */
    }

    .dropdown-menu .col-md-4 {
        width: 100%; /* Full width for each column */
    }
    
    .dropdown-menu .col-md-6 {
        width: 100%; /* Full width for each column */
    }

    .dropdown-menu ul {
        padding: 0; /* Remove padding */
        list-style-type: none; /* Remove list styles */
    }

    .dropdown-item {
        display: block; /* Block display for easier clicking */
        padding: 10px; /* Add padding for clickable area */
        text-align: left; /* Align text to the left */
    }

    .dropdown-item:hover {
        background-color: #f0f0f0; /* Optional: hover effect */
    }
}


/* Default styles for larger screens */
.dropdown-menu.imp {
    min-width: 450px; /* Minimum width for laptop view */
    max-height: 300px; /* Set a max height */
    font-size: 12px; /* Set font size */
    overflow: auto; /* Allow scrolling */
}

/* Styles for mobile view */
@media (max-width: 450px) {
    .dropdown-menu.imp {
        min-width: 100%; /* Full width on mobile */
        /*max-height: none; */
        max-height: 300px; /* Set a max height for scrolling */
        overflow-y: auto; /* Enable vertical scrolling */
        overflow-x: hidden; /* Prevent horizontal scrolling */
    }

    .dropdown-menu.imp .row {
        flex-direction: column; /* Stack columns vertically */
    }

    .dropdown-menu.imp .col-md-6 {
        width: 100%; /* Full width for each column */
    }

    .dropdown-menu.imp ul {
        padding: 0; /* Remove padding */
        list-style-type: none; /* Remove list styles */
    }

    .dropdown-item {
        display: block; /* Block display for easier clicking */
        padding: 10px; /* Add padding for clickable area */
        text-align: left; /* Align text to the left */
    }

    .dropdown-item:hover {
        background-color: #f0f0f0; /* Optional: hover effect */
    }
}


/* Default styles for larger screens */
.dropdown-menu.user {
    min-width: 700px; /* Minimum width for laptop view */
    max-height: 350px; /* Set a max height */
    font-size: 12px; /* Set font size */
    overflow: auto; /* Allow scrolling */
}

/* Styles for mobile view */
@media (max-width: 450px) {
    .dropdown-menu.user {
        min-width: 100%; /* Full width on mobile */
        /*max-height: none; */
        max-height: 350px; /* Set a max height for scrolling */
        overflow-y: auto; /* Enable vertical scrolling */
        overflow-x: hidden; /* Prevent horizontal scrolling */
    }

    .dropdown-menu.user .row {
        flex-direction: column; /* Stack columns vertically */
    }

    .dropdown-menu.user .col-md-6 {
        width: 100%; /* Full width for each column */
    }

    .dropdown-menu.user ul {
        padding: 0; /* Remove padding */
        list-style-type: none; /* Remove list styles */
    }

    .dropdown-item {
        display: block; /* Block display for easier clicking */
        padding: 10px; /* Add padding for clickable area */
        text-align: left; /* Align text to the left */
    }

    .dropdown-item:hover {
        background-color: #f0f0f0; /* Optional: hover effect */
    }
}

.slider-bg {
      
    
      min-height: 380px;

    /* Center and scale the image nicely */
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    position: relative;
    }
    
    .hover-button {
            display: inline-block;
            border-radius: 5px;
             background: #fff;
            padding: 5px 10px;
            font-size: 14px;
            color: #000;
            text-decoration: none;
            transition: background 0.3s;
        }
        .hover-button:hover {
           background: khaki;
           
        }
        

.hover-card {
    transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.hover-card:hover {
    transform: scale(1.05);
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
}

 /* img grow */
  .grow img
{
transition: 1s ease;
}

.grow img:hover
{
-webkit-transform: scale(1.2);
-ms-transform: scale(1.2);
transform: scale(1.2);
transition: 1s ease;
}

.read-more {
   background: #fff;
    border: 1px solid #9ecce6;
    color: #2a77a3;
    font-size: 14px;
    font-weight: 600;
    padding: 7px 15px;
    border-radius: 5px;
    margin-top: 32px;
    transition: all 0.3s ease;
}


.read-more:hover {
    background: #2a77a3; /* Change this to your desired hover background color */
    color: #fff; /* Change this to your desired hover text color */
    cursor: pointer; /* Optional: changes the cursor to a pointer */
}

.show-more {
    background: #fff;
    border: 1px solid #9ecce6;
    color: #2a77a3;
    font-size: 14px;
    font-weight: 600;
    padding: 7px 15px;
    border-radius: 5px;
    margin-top: 32px;
    transition: all 0.3s ease;
}

.show-more:hover {
    background: #2a77a3; /* Change this to your desired hover background color */
    color: #fff; /* Change this to your desired hover text color */
    cursor: pointer; /* Optional: changes the cursor to a pointer */
}


.cardimg
{
    /*background-image: url(images/proj_img-40869_1-200x200.jpg); */
    height:22%; 
    width:13rem; 
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    position: relative;
}

.shrink div {
transition: 1s ease;
}

.shrink div:hover{
-webkit-transform: scale(0.9);
-ms-transform: scale(0.9);
transform: scale(0.9);
transition: 1s ease;
}
.shrink img {
transition: 1s ease;
}

.shrink img:hover{
-webkit-transform: scale(0.9);
-ms-transform: scale(0.9);
transform: scale(0.9);
transition: 1s ease;
}

.cardt{
    position: absolute;
      left: 0;
      bottom: 0;
      margin: 20px;
    }
    
    
    .project {
            border: 1px solid transparent; /* Default border */
            transition: border-color 0.3s ease; 
        }
        
        .project:hover {
            border-color: #007bff; /* Change this color to your desired hover color */
        }

.hover-insight {
    display: inline-block;
    border: 1px solid #b8cee5;
    border-radius: 5px;
    padding: 5px 15px;
    background: #fff;
    font-size: 14px;
    color: #365f89;
    transition: all 0.3s ease;
    text-decoration: none;
}

.hover-insight:hover {
    background: #365f89;  /* Change to desired hover background color */
    color: #fff;          /* Change to desired hover text color */
}

@media (max-width: 767px) {
        .hide-on-mobile {
            display: none; /* Hides on devices smaller than 768px */
        }
    }
    
    .card-img-top {
    width: 100%;
    height: 140px;
    object-fit: cover;
}

.city
{
    color:rgb(150, 150, 150);
    padding:4px;
    font-size: 14px;
    transition: all 0.3s ease;
}

.city:hover
{
    color:white;
}


 .slider {
            position: relative;
            overflow: hidden;
        }
        .carousel-item img {
            width: 100%;
            height: 380px; 
            object-fit: cover; 
            
        }

        .filter-form {
            position: relative;
            bottom: 80px; /* Position at the bottom */
            left: 50%;
            transform: translateX(-50%); /* Center horizontally */
            background-color: rgba(0, 0, 0, 0.5);
            padding: 10px;
            border-radius: 8px;
            box-shadow: 0 2px 15px rgba(0, 0, 0, 0.2);
            width: 100%; /* Full width for mobile */
            max-width: 900px; /* Maximum width for larger screens */
        }

        @media (max-width: 576px) {
            .filter-form {
                margin-top: 100px; /* Add margin for spacing */
                width: 100%; /* Ensure full width */
            }
            .carousel-item img {
                height: 180px; /* Adjust height for mobile */
            }
            .carousel-control-prev, .carousel-control-next {
                width: 5%; /* Adjust width as needed */
                top: 50%;
                transform: translateY(-50%); /* Center vertically */
            }
            .carousel-control-prev {
                left: 10px; /* Adjust distance from the left */
                top: 90px;
            }
            .carousel-control-next {
                top: 90px;
                right: 10px; /* Adjust distance from the right */
            }
        }

        .carousel-control-prev-icon,
        .carousel-control-next-icon {
           
            border-radius: 50%; /* Makes the background circular */
            padding: 15px;
        }
        
        .custom-header
        {
            font-size: 26px;
            color: #333;
            line-height: 30px;
            font-weight: 400;
            text-align: center;
            background: linear-gradient(to right, #c13a3b 35%, #000);
            -webkit-background-clip: text;
            -webkit-text-fill-color: transparent;
        }
        
        .locality-header
        {
            color: #fff;
    
    background: linear-gradient(to right, #ff999a 35%, #fff);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
        }
        
        .agent-header
        {
            display: inline-block;
    font-size: 15px;
    font-weight: 600;
    color: #2342d8; 
    text-decoration: none;
        }
        .icon-header
        {
            display: inline-block;
    vertical-align: middle;
    margin-left: 5px;
    font-size: 13px;
        }
        
        .insight-header
        {
            border: 1px solid #b8cee5;
    border-radius: 5px; background-image: linear-gradient(#e9f3ff, #ffffff);
    text-align: center;
    cursor: pointer;
    transition: all 0.3s ease;
        }
        
        .name-header
        {
            font-size: 16px;
    font-weight: 600;
    color: #365f89;
    line-height: 20px;
    margin-bottom: 10px;
    display: block;
        }
        